summaryrefslogtreecommitdiffstats
path: root/tools/partition.sh
diff options
context:
space:
mode:
authorOlivier Blin <blino@mageia.org>2011-03-15 13:58:31 +0000
committerOlivier Blin <blino@mageia.org>2011-03-15 13:58:31 +0000
commit4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5 (patch)
treef6d8d18d835eb7a25088d351663a29c5058532d5 /tools/partition.sh
downloaddraklive-config-4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5.tar
draklive-config-4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5.tar.gz
draklive-config-4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5.tar.bz2
draklive-config-4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5.tar.xz
draklive-config-4c4328833cb84e7e5e4eccbb385c9d4851bfd7b5.zip
import initial live config
Diffstat (limited to 'tools/partition.sh')
-rwxr-xr-xtools/partition.sh41
1 files changed, 41 insertions, 0 deletions
diff --git a/tools/partition.sh b/tools/partition.sh
new file mode 100755
index 0000000..2637797
--- /dev/null
+++ b/tools/partition.sh
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+DEVICE=$1
+LABEL=Share
+if [ -z "$DEVICE" ]; then
+ echo "No device"
+ exit 1
+fi
+
+# FT
+#END1=780
+#END2=1950
+
+#END1=380
+#END2=1022
+
+END1=25000
+END2=60869
+
+fdisk $DEVICE <<EOF
+o
+n
+p
+1
+
+$END1
+n
+p
+2
+
+$END2
+t
+1
+b
+t
+2
+b
+w
+EOF
+
+mkdosfs -n $LABEL ${DEVICE}1